## ETimezoneDialog

ETimezoneDialog

## Functions

ETimezoneDialog * | e_timezone_dialog_construct ()
ETimezoneDialog * | e_timezone_dialog_new ()
icaltimezone * | e_timezone_dialog_get_timezone ()
void | e_timezone_dialog_set_timezone ()
GtkWidget * | e_timezone_dialog_get_toplevel ()

## Types and Values

struct | ETimezoneDialog

## Object Hierarchy

        GObject
        ╰── ETimezoneDialog

## Description

## Functions

### e_timezone_dialog_construct ()

    ETimezoneDialog *
    e_timezone_dialog_construct (ETimezoneDialog *etd);

### e_timezone_dialog_new ()

    ETimezoneDialog *
    e_timezone_dialog_new (void);

Creates a new event editor dialog.

#### Returns

A newly-created event editor dialog, or NULL if the event editor could not be created.

### e_timezone_dialog_get_timezone ()

    icaltimezone *
    e_timezone_dialog_get_timezone (ETimezoneDialog *etd);

#### Parameters

etd | the timezone dialog |

#### Returns

the currently-selected timezone, or `NULL` if no timezone is selected.

### e_timezone_dialog_set_timezone ()

    void
    e_timezone_dialog_set_timezone (ETimezoneDialog *etd,
                                    icaltimezone *zone);

Sets the timezone of `etd` to `zone` . Updates the display name and selected location. The caller must ensure that `zone` is not freed before `etd` is destroyed.

#### Parameters

etd | the timezone dialog |
zone | the timezone |

### e_timezone_dialog_get_toplevel ()

    GtkWidget *
    e_timezone_dialog_get_toplevel (ETimezoneDialog *etd);

## Types and Values

### struct ETimezoneDialog

    struct ETimezoneDialog;